<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Base</title>
  <link href="../CSS/BaseCSS.css" rel="stylesheet">
  <link href="../CSS/ProjectCSS.css" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Urbanist:wght@500&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@500&family=Vina+Sans&display=swap" rel="stylesheet">

  <script defer src="../Javascripts/ScrollAnimation.js"></script>
  <script defer src="../Javascripts/RoadMapButton.js"></script>

  <link rel="icon" href="../Resources/cleopatra.png" type="image/x-icon">

</head>
<body>
<ul class="nav">
  <a href="Home.html" class="nav"><div class="navtransform"><div class="homenav">Home</div></div></a>
  <a href="Team.html" class="nav"><div class="navtransform">Our Team</div></a>
  <a href="Game.html" class="nav"><div class="navtransform">Game</div></a>
  <a href="Project.html" class="nav"><div class="navtransform">Project</div></a>
  <a href="Stats.html" class="nav"><div class="navtransform">Stats</div></a>
  <a href="Installation.html" class="nav"><div class="navtransform">Download</div></a>
</ul>


<div class="wrapper">
  <div class="scroll-button-container hidden">
    <button class="scroll-button" onclick="scrollToContent()">▼ Project Roadmap ▼</button>
  </div>
  <div class="content"></div>



  <div class="smalltitles">Introduction</div>
  <div class="smalltexts">
    <p class='hidden' >Caesar & Cleopatra is the result of an incredible journey undertaken by our dedicated team.
    Over the course of multiple sprints, we poured our passion and expertise into bringing this immersive gaming experience to life.
    Throughout the development process, our team showcased exceptional collaboration, unwavering dedication, and the ability to overcome challenges.
    <br><br>
    Below you will find a small summary of what we managed to achieve in the 4 sprints, and to their right you will have a link to each issue on gitlab.
    </p>
  </div>

  <div class="space"></div><div class="space"></div>
  <div class="wrapColumn">
    <div class="smalltitles">Sprint I</div>
    <div class="wrapRow2">
      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/boards" class="sprintboxes hidden">
        During the initial sprint of our development process, our team embarked on implementing the core game logic for Caesar & Cleopatra.
        This involved laying the foundation for key gameplay mechanics, such as player interactions, resource management, and strategic decision-making.
        Simultaneously, we also began working on the cloud server infrastructure, ensuring a robust and scalable platform to support the game's functionalities.

      </a>
    </div>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/5" class="sprintboxes hidden">
        Cloud Server
      </a>

      <br>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/6" class="sprintboxes hidden">
        Game Logic
      </a>

  </div>
  <div class="space"></div>
  <div class="wrapColumn">
    <div class="smalltitles">Sprint II</div>
    <div class="wrapRow2">
      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/boards" class="sprintboxes hidden">
        In the second sprint, our focus shifted towards refining and expanding upon the initial implementation.
        We dedicated our efforts to crafting the Game beta version, which allowed us to gather valuable feedback and insights from our technical coaches and process coaches.
        This feedback helped us identify areas for improvement and iterate on the gameplay experience.
        Additionally, we made significant progress in enhancing the cloud server infrastructure, optimizing its performance and scalability to handle increasing player demands.
      </a>
    </div>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/16" class="sprintboxes hidden">
        Application Beta Version
      </a>

      <br>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/11" class="sprintboxes hidden">
        Game Logic
      </a>



  </div>
  <div class="space"></div>
  <div class="wrapColumn">
    <div class="smalltitles">Sprint III</div>
    <div class="wrapRow2">
      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/boards" class="sprintboxes hidden">
        The third sprint marked a major milestone in our project journey.
        With relentless dedication and hard work, we successfully completed the game itself, reaching a significant milestone in development.
        This involved fine-tuning gameplay mechanics, polishing user interfaces, and addressing any outstanding bugs or issues.
        Simultaneously, we completed the cloud server implementation, ensuring seamless connectivity and smooth gameplay experiences for our players.
        Alongside game development, we initiated work on the website, creating an online platform to showcase the game's features and engage with the community.
        Furthermore, we began crafting the rule-based intelligence system, which added depth and strategic challenges to the gameplay.
      </a>

    </div>
      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/27" class="sprintboxes hidden">
        Application Final version
      </a>


      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/30" class="sprintboxes hidden">
        Game Logic Final
      </a>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/35" class="sprintboxes hidden">
        Game Statistics
      </a>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/31" class="sprintboxes hidden">
        Rule Based Intelligence
      </a>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/24" class="sprintboxes hidden">
        Website
      </a>

  </div>

  <div class="space"></div>
  <div class="wrapColumn">
    <div class="smalltitles">Sprint IV</div>
    <div class="wrapRow2">
      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/boards" class="sprintboxes hidden">
        In the final sprint of our development cycle, we focused on adding the finishing touches to the project.
        This encompassed finalizing the game statistics, ensuring accurate tracking and measurement of player progress and achievements.
        We also completed the rule-based intelligence system, enhancing the game's artificial intelligence and providing players with dynamic and challenging opponents.
        Additionally, we dedicated time to fine-tuning the cloud server, optimizing its performance and stability to deliver a seamless online gaming experience.
        Lastly, we wrapped up the project by putting the final touches on the website, making it a compelling and informative hub for players to learn about and engage with Caesar & Cleopatra.
      </a>
    </div>
      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/40" class="sprintboxes hidden">
        Cloud Server Adjustments
      </a>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/30" class="sprintboxes hidden">
        Game Logic Final
      </a>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/35" class="sprintboxes hidden">
        Game Statistics Final version
      </a>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/31" class="sprintboxes hidden">
        Rule Based Intelligence Final version
      </a>

      <a href="https://gitlab.com/kdg-ti/integration-1.2/2022-2023/s2-04/S2-04/-/issues/24" class="sprintboxes hidden">
        Website Final version
      </a>

  </div>
  <div class="space"></div>
  <div class="wrapColumn">
    <div class="smalltitles">Overview</div>
    <div class="wrapRow2"></div>
    <table class='hidden'>
      <tr>
        <th>Team Members</th>
        <th>Sprint 1</th>
        <th>Sprint 2</th>
        <th>Sprint 3</th>
        <th>Sprint 4</th>
      </tr>
      <tr>
        <td>Alex</td>
        <td>Cloud Server Kickoff, DCD and SD</td>
        <td>Game Statistics(SQL & Documentation) , Cloud Server setup</td>
        <td>Cloud Server final version, Game Statistics(Java)</td>
        <td>Cloud Server Adjustments, Game Statistics Final, Rule Based Intelligence Final,  Project website Static and Responsive</td>
      </tr>
      <tr>
        <td>Tanguy</td>
        <td> Cloud Server Kickoff and Game Logic Kickoff</td>
        <td>Game Statistics(SQL & Documentation) , Application beta version</td>
        <td>Game Statistics(Java), Application final version, Rule Based Intelligence</td>
        <td>Cloud Server Adjustments, Game Statistics Final, Rule Based Intelligence Final,  Project website Dynamic</td>
      </tr>
      <tr>
        <td>Xim</td>
        <td>Assistance with Cloud Server</td>
        <td>Game Statistics(SQL) </td>
        <td>Website Static</td>
        <td>-</td>
      </tr>
    </table>
</div>
</div>
<div class="copyright">Caesar & Cleopatra © 2023</div>
</body>
</html>